aboutsummaryrefslogtreecommitdiffstats
path: root/mayor-orig/mayor-installer-orig/install.d/05checkdeb.sh
diff options
context:
space:
mode:
authorM.Gergo2022-02-04 14:00:07 +0100
committerM.Gergo2022-02-04 14:00:07 +0100
commitcbb307f369ee869a15383020a8ed36274d819c83 (patch)
treeee694b958f226e44988633967b5073ada2e6dcd5 /mayor-orig/mayor-installer-orig/install.d/05checkdeb.sh
parentaaab24c8c081b8e2b42cf8bf003120f27070aa6c (diff)
downloadmayor-cbb307f369ee869a15383020a8ed36274d819c83.tar.gz
mayor-cbb307f369ee869a15383020a8ed36274d819c83.zip
Rev: 4828
Diffstat (limited to 'mayor-orig/mayor-installer-orig/install.d/05checkdeb.sh')
-rwxr-xr-xmayor-orig/mayor-installer-orig/install.d/05checkdeb.sh18
1 files changed, 15 insertions, 3 deletions
diff --git a/mayor-orig/mayor-installer-orig/install.d/05checkdeb.sh b/mayor-orig/mayor-installer-orig/install.d/05checkdeb.sh
index dbdb49b3..dc3aac2f 100755
--- a/mayor-orig/mayor-installer-orig/install.d/05checkdeb.sh
+++ b/mayor-orig/mayor-installer-orig/install.d/05checkdeb.sh
@@ -26,7 +26,8 @@ echo "Ubuntu:" ${UBUNTU}
echo "Version:" ${RELEASE}
TEST=`grep contrib /etc/apt/sources.list`
-if [ "$TEST" == "" ]
+TEST2=`grep contrib /etc/apt/sources.list.d/*`
+if [ "$TEST" == "" ] && [ "$TEST2" == "" ]
then
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo "Az apt sources.list módosítása szükséges!"
@@ -35,20 +36,31 @@ then
deb http://ftp.hu.debian.org/debian/ jessie main contrib non-free
deb http://security.debian.org/ jessie/updates main contrib non-free
deb http://ftp.hu.debian.org/debian/ jessie-updates main contrib non-free
+ "
+ echo "Debian Bullseye (11) esetén például:
+ deb http://ftp.debian.org/debian/ bullseye main contrib non-free
+ deb http://ftp.debian.org/debian/ bullseye-updates main contrib non-free
"
fi
exit 255;
fi
-if [[ "x${RELEASE}" =~ ^x9.* ]]
+if [[ "x${RELEASE}" =~ ^x8.* ]]
+then
+ PKGS="apache2 php5 php5-json php5-mysqlnd php5-ldap php5-mcrypt php5-curl mysql-server recode texlive texlive-fonts-extra texlive-latex-extra texlive-binaries texlive-xetex ttf-mscorefonts-installer ntp wget ssl-cert ssh pwgen texlive-lang-european texlive-lang-hungarian"
+elif [[ "x${RELEASE}" =~ ^x9.* ]]
then
PKGS="apache2 php php-json php-mysql php-ldap php-mbstring php-mcrypt php-curl mariadb-server-10.1 recode texlive texlive-fonts-extra texlive-latex-extra texlive-binaries texlive-xetex ntp wget ssl-cert ssh pwgen texlive-lang-european"
elif [[ "x${RELEASE}" =~ ^x10.* ]]
then
## PHP 7.2-től php-mcrypt deprecated --> kivettük, de a kódban még van...
PKGS="apache2 php php-json php-mysql php-ldap php-mbstring php-curl php-bcmath mariadb-server-10.3 recode texlive texlive-fonts-extra texlive-latex-extra texlive-binaries texlive-xetex ntp wget ssl-cert ssh pwgen texlive-lang-european ghostscript"
+elif [[ "x${RELEASE}" =~ ^x11.* ]]
+then
+ PKGS="apache2 php php-json php-mysql php-ldap php-mbstring php-curl php-bcmath mariadb-server recode texlive texlive-fonts-extra texlive-latex-extra texlive-binaries texlive-xetex wget ssl-cert ssh pwgen texlive-lang-european ghostscript"
else
- PKGS="apache2 php5 php5-json php5-mysqlnd php5-ldap php5-mcrypt php5-curl mysql-server recode texlive texlive-fonts-extra texlive-latex-extra texlive-binaries texlive-xetex ttf-mscorefonts-installer ntp wget ssl-cert ssh pwgen texlive-lang-european texlive-lang-hungarian"
+ echo "Nem tudom meghatározni, milyen csomagokat telepítsünk. Kilépek. :("
+ exit 1
fi
if [ "$1" == "--no-deb" ]; then